@import url('https://fonts.googleapis.com/css2?family=Inconsolata:wght@400;500;600;700;800&display=swap');

body {
    background-color: #273625;
    overflow-x: hidden;
    margin: 0vh;
    font-family: 'Inconsolata', monospace;
    text-decoration: none;
    color: white;
}

a, u {
    text-decoration: none;
}

::selection {
    background-color: #3c5039
}

/* Nav */
#nav-toggle {
    height: 2rem;
    width: 2rem;
    position: fixed;
    z-index: 999;
    right: 2vw;
    top: 4vh;
    border: none;
    border-radius: 5rem;
    outline: none;
    box-shadow: 0rem 0rem 4rem rgba(0 0 0 / 35%);
    cursor: pointer;
    transition: 1s ease;
}

#nav-toggle:hover {
    scale: 1.2
}

#nav-toggle:active {
    scale: 0.9;
    transition: 0.2s ease;
}

#nav-toggle > i {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) scale(0.8);
    color: black;
    font-size: 2vh;
    opacity: 0;
    transition: 0.5s ease;
}

body:not([data-nav="true"]) > #nav-toggle > .open {
    opacity: 1;
    transition: 0.5s ease;
}

body:not([data-nav="true"]) > #nav-toggle > .open {
    transform: translate(-50%, -50%) scale(1);
    transition: 0.5s ease;
}

body[data-nav="true"] > #nav-toggle > .close {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    transition: 0.5s ease;
}

#nav-bg-box1 {
    position: fixed;
    width: 50%; height: 50%;
    background-color: #060806;
    left: 0%; bottom: 50%;
    z-index: 99
}

#nav-bg-box2 {
    position: fixed;
    width: 50%; height: 50%;
    background-color: #060806;
    left: 50%; top: 0%;
    z-index: 99
}

#nav-bg-box3 {
    position: fixed;
    width: 50%; height: 50%;
    background-color: #060806;
    right: 0%; top: 50%;
    z-index: 99
}

#nav-bg-box4 {
    position: fixed;
    width: 50%; height: 50%;
    background-color: #060806;
    right: 50%; bottom: 0%;
    z-index: 99
}

body[data-nav="false"] > #nav-bg-box1 {
    height: 0%;
    transition: 1s ease;
}

body[data-nav="true"] > #nav-bg-box1 {
    height: 50%;
    transition: 1s ease;
}

body[data-nav="false"] > #nav-bg-box2 {
    width: 0%;
    transition: 1s ease;
}

body[data-nav="true"] > #nav-bg-box2 {
    width: 50%;
    transition: 1s ease;
}

body[data-nav="false"] > #nav-bg-box3 {
    height: 0%;
    transition: 1s ease;
}

body[data-nav="true"] > #nav-bg-box3 {
    height: 50%;
    transition: 1s ease;
}

body[data-nav="false"] > #nav-bg-box4 {
    width: 0%;
    transition: 1s ease;
}

body[data-nav="true"] > #nav-bg-box4 {
    width: 50%;
    transition: 1s ease;
}

pre {
    position: fixed;
    font-size: 2vh;
    left: 0%;
    top: 66%;
    scale: 1.5;
    transform: translate(-50%, -50%);
    z-index: 100;
    transition: 1.5s ease;
    transition-delay: 0s;
    opacity: 0;
}

body[data-nav="true"] > pre {
    left: 35%;
    transition: 1.5s ease;
    transition-delay: 1s;
    opacity: 1;
}

#opt1 {
    position: absolute;
    color: white;
    z-index: 101;
    font-weight: 800;
    font-size: 12vh;
    opacity: 0%;
    right: 10%;
    top: 15%;
    transition: 1s ease;
    pointer-events: none;
}

#opt2 {
    position: absolute;
    color: white;
    z-index: 101;
    font-weight: 800;
    font-size: 12vh;
    opacity: 0%;
    right: 10%;
    top: 30%;
    transition: 1s ease;
    pointer-events: none;
}

#opt3 {
    position: absolute;
    color: white;
    z-index: 101;
    font-weight: 800;
    font-size: 12vh;
    opacity: 0%;
    right: 10%;
    top: 45%;
    transition: 1s ease;
    pointer-events: none;
}

#opt4 {
    position: absolute;
    color: white;
    z-index: 101;
    font-weight: 800;
    font-size: 12vh;
    opacity: 0%;
    right: 10%;
    top: 60%;
    transition: 1s ease;
    pointer-events: none;
}

#opt5 {
    position: absolute;
    color: white;
    z-index: 101;
    font-weight: 800;
    font-size: 12vh;
    opacity: 0%;
    right: 10%;
    top: 75%;
    transition: 1s ease;
    pointer-events: none;
}


body[data-nav="true"] > a > #opt1 {
    opacity: 100%;
    top: 0%;
    transition: 1s ease;
    transition-delay: 0.5s;
    pointer-events: auto;
}

body[data-nav="true"] > a > #opt2 {
    opacity: 100%;
    top: 15%;
    transition: 1s ease;
    transition-delay: 0.75s;
    pointer-events: auto;
}

body[data-nav="true"] > a > #opt3 {
    opacity: 100%;
    top: 30%;
    transition: 1s ease;
    transition-delay: 1s;
    pointer-events: auto;
}

body[data-nav="true"] > a > #opt4 {
    opacity: 100%;
    top: 45%;
    transition: 1s ease;
    transition-delay: 1.25s;
    pointer-events: auto;
}

body[data-nav="true"] > a > #opt5 {
    opacity: 100%;
    top: 60%;
    transition: 1s ease;
    transition-delay: 1.5s;
    pointer-events: auto;
}

.opt1-dash {
    position: absolute;
    width: 0%;
    height: 1.5vh;
    z-index: 102;
    background-color: #3c5039;
    left: 76.7%;
    top: 17.7%;
    transition: 1s ease;
    filter: drop-shadow(0vh 0vh 1vh black)
}

#a1:hover > .opt1-dash {
    width: 15%;
    transition: 1s ease;
}

.opt2-dash {
    position: absolute;
    width: 0%;
    height: 1.5vh;
    z-index: 102;
    background-color: #3c5039;
    left: 73.5%;
    top: 32.7%;
    transition: 1s ease;
    filter: drop-shadow(0vh 0vh 1vh black)
}

#a2:hover > .opt2-dash {
    width: 18%;
    transition: 1s ease;
}

.opt3-dash {
    position: absolute;
    width: 0%;
    height: 1.5vh;
    z-index: 102;
    background-color: #3c5039;
    left: 66%;
    top: 47.7%;
    transition: 1s ease;
    filter: drop-shadow(0vh 0vh 1vh black)
}

#a3:hover > .opt3-dash {
    width: 25.5%;
    transition: 1s ease;
}

.opt4-dash {
    position: absolute;
    width: 0%;
    height: 1.5vh;
    z-index: 102;
    background-color: #3c5039;
    left: 63%;
    top: 62.7%;
    transition: 1s ease;
    filter: drop-shadow(0vh 0vh 1vh black)
}

#a4:hover > .opt4-dash {
    width: 28.5%;
    transition: 1s ease;
}

.opt5-dash {
    position: absolute;
    width: 0%;
    height: 1.5vh;
    z-index: 102;
    background-color: #45579b;
    left: 68.6%;
    top: 77.7%;
    transition: 1s ease;
    filter: drop-shadow(0vh 0vh 1vh black)
}

#a5:hover > .opt5-dash {
    width: 22.5%;
    transition: 1s ease;
}

#logo {
    position: fixed;
    font-size: 3vh;
    color: white;
    left: 2vw;
    top: 1vh;
    z-index: 9999;
    transition: 0.5s ease;
}

#logo:hover {
    transform: scale(1.3);
    transition: 0.5s ease;
}